Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: rhsmcertd

Interfaces

### Description:

Subscription Management Certificate Daemon.

### Interfaces:

rhsmcertd_admin( domain , role )

##### Summary

All of the rules required to administrate an rhsmcertd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rhsmcertd_append_log( domain )

##### Summary

Append rhsmcertd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_dbus_chat( domain )

##### Summary

Send and receive messages from rhsmcertd over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_domtrans( domain )

##### Summary

Execute rhsmcertd in the rhsmcertd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhsmcertd_dontaudit_dbus_chat( domain )

##### Summary

Do not audit attempts to send and receive messages from rhsmcertd over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rhsmcertd_initrc_domtrans( domain )

##### Summary

Execute rhsmcertd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhsmcertd_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete rhsmcertd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete rhsmcertd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_manage_log( domain )

##### Summary

Create, read, write, and delete rhsmcertd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_read_lib_files( domain )

##### Summary

Read rhsmcertd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_read_log( domain )

##### Summary

Read rhsmcertd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_read_pid_files( domain )

##### Summary

Read rhsmcertd pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_search_lib( domain )

##### Summary

Search rhsmcertd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhsmcertd_stream_connect( domain )

##### Summary

Connect to rhsmcertd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return